package com.ruoyi.szxc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 心愿管理对象 szxc_wish_manage
 *
 * @author hs
 * @date 2024-04-03
 */
public class SzxcWishManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 申请人 */
    @Excel(name = "申请人")
    private String applyName;

    /** 申请人电话 */
    @Excel(name = "申请人电话")
    private String applyPhone;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyDate;

    /** 心愿标题 */
    @Excel(name = "心愿标题")
    private String title;

    /** 心愿类型 */
    @Excel(name = "心愿类型")
    private String wishType;

    /** 心愿描述 */
    @Excel(name = "心愿描述")
    private String wishDescrib;

    /** 心愿状态 */
    @Excel(name = "心愿状态")
    private String wishStatus;

    /** 认领人 */
    @Excel(name = "认领人")
    private String rlName;

    /** 认领人电话 */
    @Excel(name = "认领人电话")
    private String rlPhone;

    /** 认领人居民id */
    @Excel(name = "认领人居民id")
    private Long rlId;

    /** 审核部门 */
    @Excel(name = "审核部门")
    private String auditDept;

    /** 审核部门id */
    @Excel(name = "审核部门id")
    private Long auditDeptid;

    /** 审核人 */
    @Excel(name = "审核人")
    private String auditName;

    /** 审核结果 */
    @Excel(name = "审核结果")
    private String auditResult;

    /** 审核原因 */
    @Excel(name = "审核原因")
    private String auditReason;

    /** 申请人网格 */
    @Excel(name = "申请人网格")
    private String deptName;

    /** 申请人部门id */
    @Excel(name = "申请人部门id")
    private Long deptId;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setApplyName(String applyName)
    {
        this.applyName = applyName;
    }

    public String getApplyName()
    {
        return applyName;
    }
    public void setApplyPhone(String applyPhone)
    {
        this.applyPhone = applyPhone;
    }

    public String getApplyPhone()
    {
        return applyPhone;
    }
    public void setApplyDate(Date applyDate)
    {
        this.applyDate = applyDate;
    }

    public Date getApplyDate()
    {
        return applyDate;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setWishType(String wishType)
    {
        this.wishType = wishType;
    }

    public String getWishType()
    {
        return wishType;
    }
    public void setWishDescrib(String wishDescrib)
    {
        this.wishDescrib = wishDescrib;
    }

    public String getWishDescrib()
    {
        return wishDescrib;
    }
    public void setWishStatus(String wishStatus)
    {
        this.wishStatus = wishStatus;
    }

    public String getWishStatus()
    {
        return wishStatus;
    }
    public void setRlName(String rlName)
    {
        this.rlName = rlName;
    }

    public String getRlName()
    {
        return rlName;
    }
    public void setRlPhone(String rlPhone)
    {
        this.rlPhone = rlPhone;
    }

    public String getRlPhone()
    {
        return rlPhone;
    }
    public void setRlId(Long rlId)
    {
        this.rlId = rlId;
    }

    public Long getRlId()
    {
        return rlId;
    }
    public void setAuditDept(String auditDept)
    {
        this.auditDept = auditDept;
    }

    public String getAuditDept()
    {
        return auditDept;
    }
    public void setAuditDeptid(Long auditDeptid)
    {
        this.auditDeptid = auditDeptid;
    }

    public Long getAuditDeptid()
    {
        return auditDeptid;
    }
    public void setAuditName(String auditName)
    {
        this.auditName = auditName;
    }

    public String getAuditName()
    {
        return auditName;
    }
    public void setAuditResult(String auditResult)
    {
        this.auditResult = auditResult;
    }

    public String getAuditResult()
    {
        return auditResult;
    }
    public void setAuditReason(String auditReason)
    {
        this.auditReason = auditReason;
    }

    public String getAuditReason()
    {
        return auditReason;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("applyName", getApplyName())
                .append("applyPhone", getApplyPhone())
                .append("applyDate", getApplyDate())
                .append("title", getTitle())
                .append("wishType", getWishType())
                .append("wishDescrib", getWishDescrib())
                .append("wishStatus", getWishStatus())
                .append("rlName", getRlName())
                .append("rlPhone", getRlPhone())
                .append("rlId", getRlId())
                .append("auditDept", getAuditDept())
                .append("auditDeptid", getAuditDeptid())
                .append("auditName", getAuditName())
                .append("auditResult", getAuditResult())
                .append("auditReason", getAuditReason())
                .append("remark", getRemark())
                .append("deptName", getDeptName())
                .append("deptId", getDeptId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("userId", getUserId())
                .toString();
    }
}
